bots.botMemory
GET
/v1/bots/{botId}/memory
Reads the entries of the Bot memory that the caller may see: entries for the caller, for a Channel group that the caller is in, or for everyone who uses the Bot, in the organization of the caller. Nobody can read the memory about another person.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
Query Parameters
Section titled “Query Parameters”tags
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
entries
required
Array<object>
version
required
integer
Example
{ "entries": [ { "layer": "fact", "status": "active" } ]}BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}PermissionDenied | MembershipRequired | ForbiddenOrigin
BotNotFound
Media typeapplication/json
object
_tag
required
string
bot
required
string
Example
{ "_tag": "BotNotFound"}BotConflict
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "BotConflict"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable